import { NativeModulesProxy, EventEmitter } from 'expo-modules-core';
// Import the native module. On web, it will be resolved to V2rayModule.web.ts
// and on native platforms to V2rayModule.ts
import V2rayModule from './V2rayModuleModule';
import V2rayModuleView from './V2rayModuleView';
// Get the native constant value.
export const PI = V2rayModule.PI;
export function hello() {
    return V2rayModule.hello();
}
export async function setValueAsync(value) {
    return await V2rayModule.setValueAsync(value);
}
// For now the events are not going through the JSI, so we have to use its bridge equivalent.
// This will be fixed in the stable release and built into the module object.
// Note: On web, NativeModulesProxy.V2rayModule is undefined, so we fall back to the directly imported implementation
const emitter = new EventEmitter(NativeModulesProxy.V2rayModule ?? V2rayModule);
export function addChangeListener(listener) {
    return emitter.addListener('onChange', listener);
}
export { V2rayModuleView };
//# sourceMappingURL=V2rayModule.js.map